/********************************* Class Declaration ***************************/
/**
\package  _uc_Uml - 
\class    ImageWidget (Build: 16)

\brief    Image Widget
          Wrapper  Widget that can handles the display  of a image as widget and
          can be used as paint device

\date     $Date: 2011-10-26 13:55:01.43 $
\note     dbsource gui.dev - ODABA Version 11.2.0

          Copyright (C) 1994-2011 Run Software GmbH.
 
          This program is free software: you can redistribute it and/or modify
          it under the terms of the GNU General Public License as published by
          the Free Software Foundation, either version 3 of the License, or
          (at your option) any later version.
 
          This program is distributed in the hope that it will be useful,
          but WITHOUT ANY WARRANTY; without even the implied warranty of
          MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
          GNU General Public License 3.0 for more details.
 
          You should have received a copy of the GNU General Public License
          along with this program. If not, see <http://www.gnu.org/licenses/>.

*/
/******************************************************************************/
#pragma once
class ImageWidget;

#include  <h/cqt.h>
class  ImageWidget    : public ::QWidget                                         
{


protected  :         QImage                                        image;                                                    // 

public     :
                     QImage                                      & get_image() { return(image); }
public     :                                            ImageWidget (::QWidget *pQWidget );
public     :                                       void paintEvent (QPaintEvent *pQPaintEvent );
public     :                                            ~ImageWidget ( );

};

