/********************************* Class Declaration ***************************/
/**
\package  _uc_WebKitControl - 
\class    WebKitControl (Build: 19)

\brief    


\date     $Date: 2011-10-26 14:17:25.31 $
\note     dbsource gui.dev - ODABA Version 11.2.0

          Copyright (C) 1994-2011 Run Software GmbH.
 
          This program is free software: you can redistribute it and/or modify
          it under the terms of the GNU General Public License as published by
          the Free Software Foundation, either version 3 of the License, or
          (at your option) any later version.
 
          This program is distributed in the hope that it will be useful,
          but WITHOUT ANY WARRANTY; without even the implied warranty of
          MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
          GNU General Public License 3.0 for more details.
 
          You should have received a copy of the GNU General Public License
          along with this program. If not, see <http://www.gnu.org/licenses/>.

*/
/******************************************************************************/
#pragma once
class WebKitControl;

class QWidget;
#include  <h/cqt.h>
#include  <h/cqt.h>
#include  <h/cqt.h>
class  WebKitControl    : public QObject                                           ,
public UserControl                                       
{


private    :                                                       Q_OBJECT;                                                 // 
private    :         QWebView                                    * webView;                                                  // 
private    :         ::QString                                     data;                                                     // 
private    :         ::QString                                     resource_url;                                             // 

public     :
public     :                  _uc_WebKitControlImpExp      WebKitControl (UserControlHandle *pUserControlHandle, ::QWidget *parent, const char *cControlData );
public     :  virtual         _uc_WebKitControlImpExp void fillData ( );
public     :  signals:        _uc_WebKitControlImpExp void infoException (const ::QString &qscText );
public     :  public slots:                        void loaded ( );
public     :  public slots:                        void message (const ::QString &qsMessage );
public     :  public slots:                        void refresh ( );
public     :  signals:        _uc_WebKitControlImpExp void setControlData (const ::QString &qscText );
public     :  public slots:                        void setup ( );
public     :  virtual         _uc_WebKitControlImpExp ::QWidget *widget ( );
public     :                                            ~WebKitControl ( );

};

